From e48705987ecd7d4ca13dfb5c181959d8e4a2b697 Mon Sep 17 00:00:00 2001
From: =?utf-8?q?S=C3=A9bastien=20Escudier?= <sebastien-devel@celeos.eu>
Date: Thu, 28 Oct 2010 10:20:45 +0200
Subject: [PATCH] h264 packetizer : correctly compute picture height in case of interlaced video.
 See frame_mbs_only_flag chapter 7.4.2.1

---
 modules/packetizer/h264.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/modules/packetizer/h264.c b/modules/packetizer/h264.c
index 0b8de45..8675bf0 100644
--- a/modules/packetizer/h264.c
+++ b/modules/packetizer/h264.c
@@ -916,6 +916,7 @@ static void PutSPS( decoder_t *p_dec, block_t *p_frag )
 
     /* b_frame_mbs_only */
     p_sys->b_frame_mbs_only = bs_read( &s, 1 );
+    p_dec->fmt_out.video.i_height *=  ( 2 - p_sys->b_frame_mbs_only );
     if( p_sys->b_frame_mbs_only == 0 )
     {
         bs_skip( &s, 1 );
-- 
1.5.6.3

